package com.tmerclub.cloud.delivery.bo;

import java.io.Serial;
import java.io.Serializable;

/**
 * 电子面单接口错误返回内容
 * @author TRACK
 */
public class DeliveryPrintInfoErrorBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    private Boolean success;

    private Integer code;

    private String message;

    public Boolean getSuccess() {
        return success;
    }

    public void setSuccess(Boolean success) {
        this.success = success;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    @Override
    public String toString() {
        return "DeliveryPrintInfoBO{" +
                "success=" + success +
                ", code=" + code +
                ", message='" + message + '\'' +
                '}';
    }
}
